module.exports.check_for_method = function(error, stderr, stdout, failure_state, command_method, command_value){
  stdout = stdout.replace(/\r?\n|\r/g, '');

  switch(command_method){
    case 'out_larger_than_value':
      if(stdout > command_value){
        return({ state: failure_state, message: stdout + ' is bigger than ' + failure_state + ' value ' + command_value});
      }else{
        return({ state: 'ok'});
      }

      break;
    case 'out_smaller_than_value':
      if(stdout < command_value){
        return({ state: failure_state, message: stdout + ' is smaller than ' + failure_state + ' value ' + command_value});
      }else{
        return({ state: 'ok'});
      }

      break;
    case 'value_exact_out':
      if(command_value == stdout){
        return({ state: failure_state, message: stdout + ' is exactly ' + failure_state + ' value ' + command_value});
      }else{
        return({ state: 'ok'});
      }

      break;
    case 'value_not_exact_out':
      if(command_value != stdout){
        return({ state: failure_state, message: stdout + ' is not ' + failure_state + ' value ' + command_value});
      }else{
        return({ state: 'ok'});
      }

      break;
    default:
      return undefined;
  }
}
